Home / Node / Múltiples vulnerabilidades en productos de Hitachi Energy

Múltiples vulnerabilidades en productos de Hitachi Energy

Publication date: 
12/03/2021
Importance: 
4 - Alta
Affected resources: 
  • RTU500 series CMU, todas las versiones de firmware 11, 12.0, 12.2, 12.4, 12.6, 12.7, 13.0, 13.1 y 13.2.1;
  • Relion 670/650 series, todas las revisiones de la versión 2.2.0;
  • Relion 670/650/SAM600-IO series, todas las revisiones de la versión 2.2.1;
  • Relion 670 series, todas las revisiones de la versión 2.2.2;
  • Relion 670 series, todas las revisiones desde la versión 2.2.3 hasta la 2.2.3.3;
  • Relion 670/650 series, todas las revisiones de la versión 2.2.4;
  • APM Edge, versiones 1.0, 2.0 y 3.0;
  • PCM600 Update Manager, versiones 2.1, 2.1.0.4, 2.2, 2.2.0.1, 2.2.0.2, 2.2.0.23, 2.3.0.60, 2.4.20041.1 y 2.4.20119.2.
Description: 

Hitachi Energy y un investigador del Departamento de Energy CyTRICS han reportado cuatro vulnerabilidades de severidad alta, dos de severidad media y una de severidad baja, que podrían permitir a un atacante reiniciar el equipo, secuestrar la sesión, causar una condición de denegación de servicio, instalar software malicioso o acceder a información.

Solution: 
  • Para los productos RTU500 afectados por CVE-2021-35533:
    • Deshabilitar la función BCI IEC 60870-5-104 si no es usada.
    • Actualizar a una versión de firmware6.5.0 o posterior.
  • Actualizar los productos Relion a la versión 2.2.5.
  • Actualizar APM Edge a la versión 4.0.
  • Actualizar PCM600 Update Manager a la versión 2.4.21218.1.
  • Para los productos RTU500 afectados por otras vulnerabilidades: actualizar a la versión que corresponda, según indica el aviso del fabricante.
Detail: 
  • La función BCI IEC 60870-5-104 es vulnerable a una validación de entrada incorrecta en el parseo APDU y podría permitir a un atacante reiniciar el equipo mediante al envío de un mensaje manipulado, estando la función habilitada. Se ha asignado el identificador CVE-2021-35533 para esta vulnerabilidad de severidad alta.
  • Los productos Relion son vulnerables durante el proceso de arranque temprano al cargar una versión de VxWorks, susceptible al grupo de vulnerabilidades Urgent/11, antes de cargar el sistema operativo, lo que podría permitir a un atacante ejecutar código de forma remota. Se ha asignado el identificador CVE-2021-35535 para esta vulnerabilidad de severidad alta.
  • Los productos APM Edge utilizan componentes de software de código abierto vulnerables. Se ha asignado el identificador CVE-2017-8872 para la vulnerabilidad más crítica y para el resto de vulnerabilidades los identificadores CVE-2021-3449, CVE-2020-1971, CVE-2019-1563, CVE-2019-1549, CVE-2019-1547, CVE-2021-23840, CVE-2021-23841, CVE-2019-20388, CVE-2020-24977, CVE-2021-3516, CVE-2021-3517, CVE-2021-3518, CVE-2021-3537, CVE-2021-3541, CVE-2020-10713, CVE-2020-14308, CVE-2020-14309, CVE-2020-14310, CVE-2020-14311, CVE-2020-15705, CVE-2020-15706, CVE-2020-15707, CVE-2020-14372, CVE-2020-25632, CVE-2020-27749, CVE-2020-27779, CVE-2021-20225 y CVE-2021-2023.
  • La función de codificación de entidades xml en libxml2 de los productos RTU500 podría permitir a un atacante hacer una lectura fuera de límites, usando un archivo manipulado. Se ha asignado el identificador CVE-2021-3517 para esta vulnerabilidad de severidad alta.

Para las vulnerabilidades de severidad media se han asignado los identificadores CVE-2021-22278 y CVE-2020-24977.

Para las vulnerabilidades de severidad baja se han asignado los identificadores CVE-2020-1968.

Encuesta valoración